/* Navbar */
.custom-navbar {
    background-color: #194ca7;
}

#navbarNavDropdown > ul.navbar-nav > li.nav-item > .nav-link {
    color: white;
    padding-left: 30px;
    padding-right: 30px;
}

.nav-contact-us{
    border-radius: 2px;
    border: 2px solid white;
    padding-left: 2rem;
    padding-right: 2rem;
}

.nav-login{
    top: -1.75rem;
    right: -2.5rem;
}

/* crousel */
#bannerCarousel > .carousel-inner,
#bannerCarousel > .container > .carousel-item > img {
    border-radius: 30px;
    object-fit: cover;
    max-height: 100vh;
}
.banner-images{
    border-radius: 30px;
    object-fit: cover;
    max-height: 100vh;
}

.banner-card{
    top: 50%;
    right: 10%;
    transform: translate(0px, -50%);
    background-color: #FFFFFF33;
    border: 1px solid transparent;
    border-radius: 20px;
}

.banner-card-body{
    display: flex;
    flex-direction: column;
    backdrop-filter: blur(6px);
    background-color: rgba(255, 255, 255, 0.2);
    text-align: left;
    font-weight: 600;
    border-radius: 20px;
}

.banner-button,
.banner-button:hover,
.banner-button:active{
    background-color: transparent;
    border: 2px solid #5A82EA;
    color: black;
    margin-top: 40%;
}

/* box filters */
.filters {
    /* width: 35%; */
    background-color: white;
    margin-left: auto;
    margin-right: auto;
    align-items: center;
    border-radius: 15px;
    border: 1.5px solid #194ca7;
    box-shadow: 3px 3px 6px -2px black;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b{
    border-color: #0858bf transparent transparent transparent;
    border-width: 7px 4px 0 4px;
}

.btn-filter {
    border-radius: 6px !important;
    border: 2px solid #ffffff !important;
    background-color: #194ca7 !important;
    box-shadow: 1px 1px #888888;
}

/* list appartment card */
.loading-property{
    position: absolute;
    text-align: center;
    top: 25%;
    transform: translate(-10%, 50%);
}
.card-property {
    width: 15rem;
    border: 1px solid transparent !important;
    min-height: 350px;
    max-height: 350px;
}
.card-property > img {
    min-height: 350px;
    object-fit: cover;
    border-radius: 25px;
}

.list-img-property{
    min-height: 360px;
    max-height: 360px;
    object-fit: cover;
}

.description-property {
    width: 90%;
    background-color: rgb(255 255 255 / 50%);
    border-radius: 30px;
    left: 50%;
    transform: translate(-50%, -15%);
}

.btn-more-property{
    background-color: #194ca7;
    color: white;
    font-size: 12px;
    border: 1px solid transparent;
}

/* description-advertising */
.card-advertising{
    width: 18rem;
}
.card-advertising > .card-body {
    background: #194ca7;
    color: white !important;
    border-radius: 5px;
}
.description-advertising {
    text-align: center;
    align-items: center;
    justify-content: center;
}
.img-rent {
    width: 100%;
    height: 70px;
    border-radius: 3px;
    object-fit: cover;
}
.recommended-rent,
.booking-property {
    width: 18rem;
    background: #ffffff;
    border-radius: 5px !important;
    box-shadow: 1px 3px 9px 1px rgb(0 0 0 / 25%);
}
.recommended-rent > .card-body > .row > .d-flex > a {
    text-decoration: none;
    cursor: pointer;
}

/* footer */
#footer {
    background-color: #194ca7;
}
.footer-img {
    max-height: 470px;
}
.title-footer {
    color: #fddb5b;
}

/* property page */
.sp-thumbnail-arrow {
    width: 15px;
    height: 15px;
    margin-top: 2%;
    margin-left: 1%;
    margin-right: 1%;
}
.sp-next-thumbnail-arrow:after,
.sp-next-thumbnail-arrow:before,
.sp-previous-thumbnail-arrow:after,
.sp-previous-thumbnail-arrow:before {
    background-color: #194ca7;
}

.title-property {
    background-color: #194ca7;
    color: #ffffff;
    padding: 0.5rem;
    border-radius: 6px;
}

.card-property-detail {
    background: #ffffff;
    border-radius: 5px !important;
    box-shadow: 0px 4px 8px 0px rgb(0 0 0 / 25%);
    border: 1px solid white;
}

/* form booking */
.check-in-calendar,
.check-out-calendar {
    background: transparent;
    border: 1px solid transparent;
    margin-top: 0.1rem;
}
.input-check-in,
.input-check-out {
    padding-left: 2.5rem;
}
#input-check-in:focus,
#input-check-out:focus {
    z-index: 0;
}
.booking-submit > button {
    background-color: #194ca7 !important;
    border: 1px solid transparent;
}

/* media share link */
.icon-medsos-share{
    width: 35px;
    object-fit: cover;
}

/* navbar toogler */
.navbar-toggler{
    background: white;
}

/* media query */
/* less than 768px */
@media only screen and (max-width: 769px) {
    .loading-property{
        position: absolute;
        text-align: center;
        top: 0;
        transform: translate(-7%, 50%);
    }
    .wrapper-list-property{
        width: 50%;
        padding: 0;
    }
    .card-property {
        width: 12rem;
    }
    .card-advertising{
        width: 100%;
    }
    .recommended-rent,
    .booking-property {
        width: 100%;
    }
    .banner-button,
    .banner-button:hover,
    .banner-button:active{
        margin-top: 0%;
    }
}

/* less than 425px */
@media only screen and (max-width: 426px) {
    .wrapper-filters{
        margin-top: 0rem !important;
    }
    .img-rent{
        height: 160px;
    }
    .loading-property{
        position: relative;
        text-align: center;
        top: 0;
        transform: unset;
    }
    .card-property {
        width: 12rem;
    }
    .card-advertising{
        width: 100%;
    }
    .recommended-rent,
    .booking-property {
        width: 100%;
    }
    .nav-login{
        top: unset;
        bottom: 0;
        right: 0;
    }
    .footer-home,
    .footer-page{
        flex-direction: column;
        justify-content: center !important;
        align-items: center !important;
    }
    .footer-home > .icon,
    .footer-page > .icon{
        margin-bottom: 1rem;
    }

    .banner-card{
        display: none;
    }
}

/* less than 375px */
@media only screen and (max-width: 376px) {
    .card-property {
        width: 100%;
    }
    .wrapper-list-property{
        width: 100%;
    }
}

/* Utility */
.relative {
    position: relative;
}
.absolute {
    position: absolute;
}
.flex {
    display: flex;
}
.gray {
    background-color: #a9a9a9 !important;
    color: black !important;
}
.blue {
    background-color: #194ca7 !important;
    color: white !important;
}
.text-white {
    color: white;
}
.text-black {
    color: black;
}
.w-50 {
    width: 50%;
}
.align-item-center {
    align-items: center;
}
.mt-n4 {
    margin-top: -4rem;
}
.f-wrap {
    flex-wrap: wrap !important;
}
.decoration-none {
    text-decoration: none;
}
.pointer {
    cursor: pointer;
}
.object-cover{
    object-fit: cover;
}

/* color */
.base-color {
    color: #194ca7;
}
.text-red{
    color: #ff0000;
}
.text-gray{
    color: gra
}
